export { c as borderRadius, b as boxShadows, e as colorPalette, f as fontSizes, a as fontWeights, h as heights, j as hslColorMap, l as lineHeights, n as neutral1, g as neutral2, i as neutral3, s as scales, d as spacing } from './tailwind-config-effbdecc.js';
export { copyAssets } from './copy-assets.js';
export { assets } from './assets/index.js';
export { cn } from './cn.js';
export { fonts } from './assets/fonts/index.js';
export { images } from './assets/images/index.js';
import 'fs';
import 'path';

const sliceAddress = (address, startSliceBy = 6, endSliceBy) => {
  if (!address) {
    return "";
  }
  let sliceAddress2 = "";
  endSliceBy = endSliceBy || startSliceBy;
  if (address.length < startSliceBy + endSliceBy) {
    return address;
  }
  sliceAddress2 = address.length > startSliceBy + 2 ? `${address.slice(0, startSliceBy + 2)}...${address.slice(-endSliceBy)}` : address;
  return sliceAddress2;
};

export { sliceAddress };
